//
// Created by Kai Jan Kriegel on 17.10.22.
//

#ifndef FAB_READER2_C_POLLINGTAGDETECT_H
#define FAB_READER2_C_POLLINGTAGDETECT_H

#include "esp_err.h"
#include "st_errno.h"

typedef enum {
    NOT_INIT = 0,     /*!< Demo State:  Not initialized        */
    START_DISCOVERY = 1,     /*!< Demo State:  Start Discovery        */
    DISCOVERY = 2     /*!< Demo State:  Discovery              */
} TagDetectState;

static TagDetectState nfc_state;

esp_err_t TagDetectInit(void);
void TagDetectCycle(void);
ReturnCode TagDetectTransceiveBlocking(uint8_t *txBuf, uint16_t txBufSize, uint8_t **rxData, uint16_t **rcvLen, uint32_t fwt);

#endif //FAB_READER2_C_POLLINGTAGDETECT_H
