//
// Created by Kai Jan Kriegel on 06.02.23.
//

#ifndef FAB_READER2_C_OTA_H
#define FAB_READER2_C_OTA_H

#include <stdbool.h>
#include <stdint.h>
#include <mqtt_client.h>

bool hasActiveOTA();

void startOTA(esp_mqtt_client_handle_t client, uint8_t *nfcId, uint8_t nfcIdLen);
void continueOTA(esp_mqtt_client_handle_t client, char* topic, char *payload, unsigned int length);
void cancelOTA(esp_mqtt_client_handle_t client);


#endif //FAB_READER2_C_OTA_H
